Bug 187581 - Printer not connected; will retry in 30 seconds...
Printer not connected; will retry in 30 seconds...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-01 02:19 EST by kmberry
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 07:02:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kmberry 2006-04-01 02:19:31 EST
Description of problem:
This is FC6 with targeted policy.  I have a usb lexmark-z53 and it dies every
week  each time a totally different problem.  Right now I was working on a
graduate report for chemistry due April 3, 2006 which I haven't started on yet.
 In error_log at debug2 the last two lines are:  
Printer not connected; will retry in 30 seconds...
 select_timeout: 11 seconds to process active jobs

I cannot attach the error_log because it says the file is empty.

Last week when my printer died it miraculously recovered when I messed around
with system-config-printers and adding a queue created a Browsed printer with my
lp below it.  This week it is the no connect problem.  lsusb shows it and kernel
module is usblp.
 
udevinfo -a -p /sys/class/usb/lp0

 looking at device '/class/usb/lp0':
    KERNEL=="lp0"
    SUBSYSTEM=="usb"
    SYSFS{dev}=="180:0"

  looking at device '/devices/pci0000:00/0000:00:1d.0/usb1/1-1/1-1:1.0':
    ID=="1-1:1.0"
    BUS=="usb"
    DRIVER=="usblp"
    SYSFS{modalias}=="usb:v043Dp0054d0100dc00dsc00dp00ic07isc01ip02"
    SYSFS{bInterfaceProtocol}=="02"
    SYSFS{bInterfaceSubClass}=="01"
    SYSFS{bInterfaceClass}=="07"
    SYSFS{bNumEndpoints}=="02"
    SYSFS{bAlternateSetting}==" 0"
    SYSFS{bInterfaceNumber}=="00"
    SYSFS{ieee1284_id}=="MFG:Lexmark_CMD:LNPAP_MODEL:Lexmark
Z53_CLASS:Printer_DES:Lexmark Z53_"

I don't know what component caused this.  Last week I tried to regress(foomatic,
cups etc...) and only fc4 tree was left and I lost openssl, but you see how that
problem worked out with the mysterious browsed queue appearing after I
reinstalled all the fc6 which was equal to fc5 at the time rpms.

(END)

Version-Release number of selected component (if applicable):
cups-1.2-0.2.rc1.3


How reproducible:
Just running yum update on development and extras-development manually every few
hours 24/7.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2006-04-01 03:23:23 EST
Still working out some issues with CUPS-1.2.  For important things, better to
use Fedora Core 5 (which shipped with CUPS-1.1.23).

So, does 'setenforce 0' cause the problem to go away or change?
Comment 2 kmberry 2006-04-01 20:41:27 EST
(In reply to comment #1)
> Still working out some issues with CUPS-1.2.  For important things, better to
> use Fedora Core 5 (which shipped with CUPS-1.1.23).
> 
> So, does 'setenforce 0' cause the problem to go away or change?

Thank you, I got cups-1.1.23 and now my printer works. One thing that never
worked even with working cups was the web interface which had no devices in the
dropdown menu and wrong permissions. 

 The last version I checked that didn't work was cups-1.2-0.2.rc1.4, which dies
in ghostscript loading the Nimbus font. The version of ghostscript is
ghostscript-8.15.1-7.i386.rpm, which is same as FC5.  I tried setenforce 0 on
both cups-1.2-0.2.rc1.3 and cups-1.2-0.2.rc1.4 and they still didn't work.  I
haven't built new policy since the yum update that had cups-1.2-0.2.rc1.4 in it
but previously I had 3 lines of policy from audit2allow:
allow hostname_t cupsd_log_t:file { read write };
allow hostname_t cupsd_rw_etc_t:file { read write };
allow hostname_t printconf_t:file read;
 
Comment 3 Tim Waugh 2006-04-02 05:30:26 EDT
> The last version I checked that didn't work was cups-1.2-0.2.rc1.4, which dies
> in ghostscript loading the Nimbus font.

Please show me the error message.  Thanks.
Comment 4 kmberry 2006-04-02 21:17:32 EDT
(In reply to comment #3)
> > The last version I checked that didn't work was cups-1.2-0.2.rc1.4, which dies
> > in ghostscript loading the Nimbus font.
> 
> Please show me the error message.  Thanks.

I just did a yum update removing my cups-1.1.23-30 install replacing it with
cups-1.2-0.2.rc1.4 files.  Now I get the same error message that I posted in
this bug which is from the error_log.  No job is in the queue now and before a
print job would stay in the queue infinitely long without printing.  Now lpstat
is forbidden and lprm is not possible but everytime I try to print a test page
with printconf-gui the jobs pending in the error_log increases with no jobs
showing in print-notifier-0.19.  I can't attach the error log but I could put it
on my server test page which is what I had to do recently for one of my bugs. 
So printconf-gui gives no error. The error_log has more information.
Comment 5 Tim Waugh 2006-04-03 05:14:19 EDT
Please stick to one bug per report.  This report is far too confusing: different
bugs, different versions.

Please report one bug at a time, and stick to one package version at a time.  I
would much rather see 10 bug reports than 1 bug report describing lots of problems.

I'm going to keep this one as 'printer not connected; will retry in 30 seconds'.
 Please file separate reports for:

1. device list not working
2. Nimbus font loading problem (with error message showing that)
3. lpstat/lprm not working
4. jobs disappearing

Thanks.
Comment 6 Tim Waugh 2006-05-12 12:32:03 EDT
Are you still seeing this problem with 1.2.0-1.1?

Note You need to log in before you can comment on or make changes to this bug.